net.sf.saxon.trace

## Class XSLTTraceListener

- java.lang.Object
- - net.sf.saxon.trace.AbstractTraceListener
  - - net.sf.saxon.trace.XSLTTraceListener

- All Implemented Interfaces:
    EventListener, TraceListener

      public class XSLTTraceListener
      extends AbstractTraceListener

  A Simple trace listener for XSLT that writes messages (by default) to System.err

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTTraceListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CodeInjector` | `getCodeInjector()` Get the associated CodeInjector to be used at compile time to generate the tracing calls
    `protected String` | `getOpeningAttributes()` Generate attributes to be included in the opening trace element
    `protected String` | `tag(int construct)` Get the trace element tagname to be used for a particular construct.
    `static String` | `tagName(int construct)`

    - ### Methods inherited from class net.sf.saxon.trace.AbstractTraceListener

      `close, endCurrentItem, enter, escape, getOutputDestination, leave, open, setOutputDestination, startCurrentItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTTraceListener

          public XSLTTraceListener()

  - ### Method Detail

    - #### getCodeInjector

          public CodeInjector getCodeInjector()

      Description copied from class: `AbstractTraceListener`
      Get the associated CodeInjector to be used at compile time to generate the tracing calls
      Overrides:
        `getCodeInjector` in class `AbstractTraceListener`

    - #### getOpeningAttributes

          protected String getOpeningAttributes()

      Generate attributes to be included in the opening trace element
      Specified by:
        `getOpeningAttributes` in class `AbstractTraceListener`

    - #### tag

          protected String tag(int construct)

      Get the trace element tagname to be used for a particular construct. Return null for trace events that are ignored by this trace listener.
      Specified by:
        `tag` in class `AbstractTraceListener`

    - #### tagName

          public static String tagName(int construct)

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.